Name:		dtv-scan-tables
Version:	1
Release:	3.20140905git4aad313%{?dist}
Summary:	Digital TV scan tables

#2013-07-19: License discussed in: https://bugzilla.redhat.com/show_bug.cgi?id=986051#c4
License:	Public Domain
URL:		http://git.linuxtv.org/cgit.cgi/dtv-scan-tables.git/
Source0:	http://linuxtv.org/downloads/dtv-scan-tables/%{name}-2014-09-05-4aad313.tar.bz2
Patch0:		add_install_target.patch
BuildArch:	noarch
BuildRequires:	v4l-utils >= 1.4.0
# FPC permission for Conflicts:
# https://lists.fedoraproject.org/pipermail/packaging/2013-July/009346.html
# https://fedorahosted.org/fpc/ticket/316
Conflicts:	dvb-apps < 1.1.2-6.1488.f3a70b206f0f

%description
This package contains digital TV scan tables that are used by TV applications
to scan for channels.

%package legacy
Summary:	Digital TV scan tables at the legacy format.
License:	Public Domain

%description legacy
This package contains digital TV scan tables that are used by TV applications
to scan for channels in the legacy DVBv3 format, compatible with the old
dvb-apps.

%prep
%setup -T -c
%{__tar} xf %{SOURCE0} --transform="s,/usr/share/dvb/,,"
%patch0 -p1

%build
make dvbv3

%install
make DATADIR=%{buildroot}/%{_datadir} install install_v3
%{__mkdir_p} %{buildroot}/%{_pkgdocdir}
#cp COPYING* %{buildroot}/%{_pkgdocdir}

%files legacy
#%doc %{_pkgdocdir}/COPYING
#%doc %{_pkgdocdir}/COPYING.LGPL
%{_datadir}/dvbv3/

%files
#%doc %{_pkgdocdir}/COPYING
#%doc %{_pkgdocdir}/COPYING.LGPL
%{_datadir}/dvbv5

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-3.20140905git4aad313
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Sep 27 2014 Mauro Carvalho Chehab <m.chehab@samsung.com> - 1-2.20140905git4aad313
- Update to latest release and create a package for the legacy format

* Sun Aug 31 2014 Till Maas <opensource@till.name> - 0-7.20140512git1246b27
- Update to latest release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-6.20140309git177b522
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 23 2014 Mauro Carvalho Chehab <m.chehab@samsung.com> 0-5.20140309git177b522
- Update to the latest DTV tables

* Mon Jan 13 2014 Till Maas <opensource@till.name> - 0-4.20130713gitd913405
- Update Conflicts
- Move license files to %%{_pkgdocdir}

* Fri Nov 08 2013 Till Maas <opensource@till.name> - 0-3.20130713gitd913405
- Include date and git hash in changelog
- Update Conflicts

* Fri Nov 01 2013 Till Maas <opensource@till.name> - 0-2
- Update license

* Thu Jul 18 2013 Till Maas <opensource@till.name> - 0-1
- initial Package
